<!DOCTYPE html>
<html xmlns:h="http://xmlns.jcp.org/jsf/html"
>
<h:head>
    <title>Login</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <h:outputStylesheet library="css" name="main.css"/>
    <h:outputStylesheet library="css" name="jquery-ui.css"/>
    <h:outputScript library="js" name="jquery-3.6.0.min.js"/>
    <h:outputScript library="js" name="main.js"/>
</h:head>
<h:body>
    <!--<form method="POST" action="j_security_check">
        Username: <input type="text" value="#{userControl.login}" name="j_username"/>
        Password: <input type="password" value="#{userControl.password}" name="j_password"/>
        <br/>
        <input type="submit" value="Login"/>
        <input type="reset" value="Reset"/>
    </form>-->
    
          <p>Login to access secure pages:</p>  
      <h:messages />  
      <h:form id="loginForm">  
           <h:panelGrid columns="2">  
                <h:outputLabel for="login" value="Login:" />  
                <h:inputText id="login" value="#{userControl.loggedInUserLogin}" />
                                 
                <h:outputLabel for="password" value="Password:" />  
                <h:inputSecret id="password" value="#{userControl.loggedInUserPassword}" />
                                 
                <h:commandButton id="loginButton" value="Login" action="#{userControl.userLogin()}" />  
           </h:panelGrid>  
      </h:form> 
    
    <h:form>
        <h:commandButton value="Register"
                         action="#{userControl.showRegisterPage()}"/>
    </h:form>
    
   
</h:body>
</html>
